ChatGPT
===

此备忘单列出了来自世界各地的提示和提示，说明如何有效使用 ChatGPT。

入门指南
---

### ChatGPT 介绍

ChatGPT 是 OpenAI 于 2022 年发布的 AI 聊天机器人，基于 GPT-3.5、GPT-4 等模型，支持自动生成文本、问答、总结和编程等多种语言处理任务。

- 网址: <https://chatgpt.com/>

### 国内类似的平台

- [文心一言(百度)](https://yiyan.baidu.com/) _baidu.com_
- [通义千问(阿里)](https://tongyi.aliyun.com/) _aliyun.com_
- [混元(腾讯)](https://hunyuan.tencent.com/) _tencent.com_
- [豆包(字节跳动)](https://www.doubao.com/) _doubao.com_
- [天工Ai](https://www.tiangong.cn/) _tiangong.cn_
- [讯飞星火](https://xinghuo.xfyun.cn/) _xfyun.cn_

### 通用
<!--rehype:wrap-class=row-span-2-->

为你的企业或创意命名

```bash
你能帮我为我的科技创业公司起个有创意的名字吗？

帮我想个朗朗上口的名字给我的面包店。
```

为课程或培训项目创建大纲

```sh
请帮我创建一个面向初学者的网页开发课程大纲。

能否为客户服务工作坊设计一个培训项目的大纲？
```

提供特定职位的面试问题

```sh
我在面试软件工程师职位，你能给我一些面试问题吗？

请给我一些常见的市场经理面试问题。
```

为商业伙伴、客户或客户提供礼物创意

```sh
我需要一些送给客户的礼物创意，你能帮忙吗？

有什么独特的礼物可以送给我的商业伙伴？
```

从一长串名字或邮箱中随机挑选比赛获奖者

```sh
我想从100个名字中挑选一位获奖者，你能帮忙吗？

能帮我从1000个邮箱中随机挑选5个用于赠品抽奖吗？
```

### 编程
<!--rehype:wrap-class=row-span-3-->

解释代码为什么无法正常工作

```js
为什么这段代码不能运行？
var x = 5;
var y = 0;
console.log(x/y);
```

解释代码的含义

```js
这段代码的作用是什么？
function addNumbers(a, b) {
return a + b;
}
```

将代码转换为指定的语言

```js
把这段代码翻译成 Python:
function addNumbers(a, b) {
return a + b;
}
```

编写完整的软件程序

```js
写一个计算给定数的阶乘的 Python 程序。

如何用 JavaScript 发起一个 HTTP 请求？
```

生成正则表达式 (regex)

```js
创建一个匹配所有电子邮件地址的正则表达式？

生成一个8位密码的正则表达式。
```

为代码库添加注释

```js
为这段代码添加注释：
function addNumbers(a, b) {
return a + b;
}
```

修改代码行的 CSS

```html
更新这行的 CSS 将字体颜色更改为蓝色？
<p class="example">Hello, World!</p>
```

修改代码行的 HTML

```html
给这个标题标签添加一个 "header" 类？
<h1>Hello, World!</h1>
```

### 电子表格

帮助创建一个电子表格公式

```
你能帮我创建一个公式来计算单元格 A1 到 A10 的总和吗？
```
<!--rehype:className=wrap-text-->

解释一个公式

```
你能用简单的语言解释一下公式 =SUM(A1:A10) 的含义吗？
```
<!--rehype:className=wrap-text-->

创建占位符的虚拟数据

```
你能帮我生成一些虚拟数据，作为我的电子表格的占位符吗？
```
<!--rehype:className=wrap-text-->

帮助创建复杂的宏

```
我需要创建一个宏，计算单元格 B1 到 B10 的平均值并将结果插入到单元格 C1。你能帮我吗？
```
<!--rehype:className=wrap-text-->

提供提高电子表格效率的建议

```
你能给我一些提高电子表格效率的建议吗？
```

### 电子邮件
<!--rehype:wrap-class=row-span-2-->

创建电子邮件活动

```
邀请 Jack 周末晚餐的邮件

创建一个针对新客户的引导流程邮件序列
```

格式化和校对邮件

```
帮我校对并格式化我刚写的这封邮件：
Hello, do you have any actual tips or tricks for ChatGPT please?
```
<!--rehype:className=wrap-text-->

提供有效电子邮件营销的建议

```
给我一些提高邮件打开率和点击率的建议

建议一些方法，让我的邮件内容对订阅者更具吸引力和相关性。
```
<!--rehype:className=wrap-text-->

自动回复邮件

```
给他发送邮件，内容为 "That's a good suggestion, it's coming soon":
Hello, do you have any actual tips or tricks for ChatGPT please?
```
<!--rehype:className=wrap-text-->

从文本中提取电子邮件地址

```sh
帮我提取所有的电子邮件地址：
Sed sit amet sodales tom@gmail.com, at jack@gmail.com enim. 18261@outlook.com ut eros
```
<!--rehype:className=wrap-text-->

### 社交媒体

提供任何主题的表情包创意

```
你能给我一些关于【狗狗】的表情包创意吗？
```

提供能提升互动的帖子创意

```
我想发一个关于气候变化的帖子，能与我的粉丝产生互动。你能给我一些创意吗？
```
<!--rehype:className=wrap-text-->

生成标签和配文

```
我需要一些适合风景日落照片的标签和配文。你能帮我生成一些吗？
```
<!--rehype:className=wrap-text-->

提供回复建议

```
我刚收到一条关于项目状态的消息。你能给我一个回复建议吗？
```
<!--rehype:className=wrap-text-->

### 阅读

总结长文本

```
你能帮我总结一下这篇文章吗？[你的文本]
```

翻译外语

```
你能把这句话翻译成西班牙语吗？[你的文本]
```

推荐类似的书籍

```
你能推荐一些和《饥饿游戏》类似的书吗？
```

### 设计

创建 AI 设计提示词

```
你能帮我生成一个为新运动品牌设计标志的提示词吗？
```

博客或视频的缩略图建议

```
你能推荐一些引人注目的缩略图设计，适合我最新关于健康饮食的 YouTube 视频吗？
```
<!--rehype:className=wrap-text-->

字体搭配

```
你能为旅行博客的标题设计推荐一组字体搭配吗？
```

颜色搭配

```
你能推荐一个适合婚礼摄影网站的配色方案吗？
```

### 数据分析

从大量文本中提取数字

```
请从这段文本中提取所有数字：[你的文本]
```

根据你提供的文本或数据创建表格

```
你能根据这些数据创建一个表格吗？：[你的数据]
```

从大列表中筛选数据

```
请根据特定条件筛选此列表：[你的列表]
```

### 付费广告

提供广告创意

```
给我一些新产品发布的广告创意。
```

检查跟踪代码错误（标签管理器等）

```
检查我的标签管理器代码是否有错误。
```

提供广告文案创意

```
为一家【旅游】公司建议广告文案。
```

Facebook 受众建议

```
推荐适合服装系列广告活动的 Facebook 受众。
```

为广告创建正文、标题和/或号召性用语

```
为一个新的健身计划广告创建标题、正文和号召性用语。
```

### 亚马逊 FBA

编写或重写产品描述

```
请帮我为最新商品写一个新颖且吸引人的产品描述。
```

编写或重写申诉信

```
我需要帮助重写我的申诉信，使其更具说服力。
```

编写或重写供应商联系邮件

```
你能帮我写一封有效的邮件，以联系潜在供应商吗？
```

帮助寻找适合打包销售的商品

```
请推荐一些适合为客户打包销售的商品。
```

整理产品和定价数据

```
你能帮我把产品和定价信息整理成一个整洁易管理的表格吗？
```
<!--rehype:className=wrap-text-->

### SEO
<!--rehype:wrap-class=col-span-2 row-span-2-->

生成或查找关键词

- 为[主题]生成一系列相关关键词。
- 识别[主题]内容优化的长尾关键词。
- 查找[主题]的最佳表现关键词。
- 为[主题]生成一系列 LSI 关键词。
- 查找[主题]的低竞争关键词。
- 为[主题]关键词创建同义词列表。
- 查找[主题] PPC 广告活动的最佳关键词。
- 查找[主题]语音搜索优化的最佳关键词。
- 列出[主题]的最佳关键词用于特色摘要。
- 查找[主题]视频优化的最佳关键词。
- 查找[主题]的最佳关键词。
- 查找[主题] AMP 优化的最佳关键词。
- 查找[主题]社交媒体优化的最佳关键词。
<!--rehype:className=style-round-->

更多关于 SEO 的 ChatGPT 提示

- 为[主题]创建元描述和标题标签。
- 查找与[主题]相关的内部链接机会。
- 为[主题]生成博客文章和主题创意。
- 研究[主题]内容中使用的行业术语。
- 查找权威网站以获取与[主题]内容相关的反向链接。
- 创建与[主题]相关的 XML 网站地图示例。
- 研究[主题]的最佳元标签。
- 研究[主题]内容的最佳内部链接结构。
- 生成与[主题]相关的常见问题列表。
- 为与[主题]相关的图片创建最佳替代文本标签列表。
- 为[主题]创建相关子主题列表。
- 查找与[主题]相关的内容发布时间的最佳时机。
- 研究与[主题]相关的最佳外部链接策略。
- 查找与[主题] SEO 使用的最流行工具。
- 为[主题]创建潜在影响者列表。
- 研究[主题]的最佳模式标记。
- 查找[主题]内容的最佳标题标签。
- 为[主题]创建潜在的链接建设机会列表。
- 研究[主题]反向链接的最佳锚文本。
- 创建[主题]的潜在客座博客机会列表。
- 研究[主题]的最佳本地 SEO 策略。
- 研究[主题]网站性能的最佳分析工具。
- 为[主题]创建潜在合作伙伴关系列表。
- 研究[主题]的最佳移动优化策略。
- 研究[主题]的最佳电子商务优化策略，并提供关键词聚类。
- 创建[主题]的潜在联盟营销机会列表。
- [主题]的最佳联盟营销网站有哪些？
- [主题]的最佳国际 SEO 策略是什么？
- 创建与[主题]相关的潜在播客或播客嘉宾机会列表。
- 研究[主题]的最佳 Google 我的商家优化策略。
- 查找与[主题]相关的热门内容主题。
- 研究[主题]的最佳 SEO 策略并提供可操作步骤。
- 创建与[主题]相关的潜在视频系列或网络研讨会创意列表。
- 研究与[主题]相关的竞争对手策略。
- 查找与[主题]相关的规范标签示例。
- 为[主题]创建一个面向多个地理位置的示例关键词列表。
- 生成针对不同客户购买漏斗阶段的[主题]关键词创意。
- 识别与[主题]相关的行业标签。
<!--rehype:className=style-round-->

### 写作/博客

为你的创意写作项目创建标题

```
我短篇小说集的标题：[你的文章]
```

创建大纲

```
关于锻炼的论文大纲。
```

生成内容创意

```
可持续时尚博客的创意？
```

总结你提供的任何文本

```
总结一下这篇关于可再生能源的文章？[你的文章]
```

创建完整的博客文章

```
关于[财务规划]的博客文章？
```

扩展句子、段落或长文本

```
扩展关于爵士音乐的这句话？[你的句子]
```

改变你的写作语气

```
将这份报告的语气改为对话式？[你的报告]
```

校对或编辑你的写作

```
校对这篇文章？[你的文章]
```

用标题格式化文本（适合博客文章）

```
为我的博客文章格式化标题？[你的帖子]
```

检查任何文本的偏见

```
检查这篇文章是否存在偏见？[你的文章]
```

检测任何文本的抄袭

```
检测这篇论文的抄袭情况？[你的论文]
```

提供域名创意

```
我[园艺博客]的域名？
```

### 教师/课程创建者

将事实或统计数据转换为多项选择题

```sh
你能把这份关于世界历史的事实列表转成多项选择题吗？[你的列表]
```
<!--rehype:className=wrap-text-->

特定主题的作业创意

```
我需要一些关于美国独立战争的历史作业创意。你能建议一些吗？
```
<!--rehype:className=wrap-text-->

从学生列表中创建分组

```
我有一份30名学生的名单。你能把他们分成6人一组进行小组项目吗？
```
<!--rehype:className=wrap-text-->

根据考试成绩创建曲线

```
我需要根据学生的考试成绩创建一个评分曲线。你能帮忙吗？
```
<!--rehype:className=wrap-text-->

评分作业

```
你能给这篇历史论文评分并提供改进建议吗？
```

### YouTube

从文字稿中创建时间戳

```
你能为这段播客节目的文字稿创建时间戳吗？[你的文字稿]
```
<!--rehype:className=wrap-text-->

将 YouTube 视频转换为带格式的博客文章

```
你能把这段关于烹饪的 YouTube 视频转成带有标题和项目符号的博客文章吗？[视频链接]
```
<!--rehype:className=wrap-text-->

想出视频大纲或脚本

```
我需要一个关于冥想好处的视频大纲。你能帮忙吗？
```

创建对评论的回复

```
你能写一个周到且礼貌的回复，回应我 YouTube 视频上的这条负面评论吗？
```
<!--rehype:className=wrap-text-->

给你缩略图创意

```
我需要一些关于“DIY 家居装饰”视频的缩略图创意。你能建议一些吗？
```
<!--rehype:className=wrap-text-->

分析你的脚本或文字稿并告诉你语气

```
你能分析这段关于环境问题的视频脚本，并告诉我语气是什么吗？[你的脚本]
```
<!--rehype:className=wrap-text-->

任何主题的视频创意

```
我想制作一系列关于时尚的视频。你能给我建议一些单集的创意吗？
```
<!--rehype:className=wrap-text-->

### 研究

帮助研究2021年前发生的任何事情

- 用简单的术语解释量子计算。
- 有什么创意适合10岁生日派对的吗？
- 我如何在 JavaScript 中发出 HTTP 请求？
- 你能告诉我美国内战前的事件吗？
- 你能告诉我印刷机的发明吗？
- 你能研究一下奥林匹克运动会的历史吗？
- 你能给我关于法国大革命的信息吗？
- 我对拜占庭帝国的历史感兴趣。你能帮我了解更多吗？
- 等等...
<!--rehype:className=style-round-->

## 参考资料

- [Awesome ChatGPT Prompts](https://github.com/f/awesome-chatgpt-prompts)
- [原始资料](https://github.com/Fechin/reference/blob/main/source/_posts/chatgpt.md)
- [ChatGPT](https://chatgpt.com/)
